#if !COMBAT_SERVER

using UnityEngine.Playables;
using UnityEngine.Timeline;
#endif
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic;

[System.Serializable]
public class TimeLineEndSingSerializtion : TimeLineAssetSerialization
{

    public TimeLineEndSingSerializtion()
    {
        
    }
#if !COMBAT_SERVER

    public TimeLineEndSingSerializtion(PlayableDirector playableDirector, GroupTrack groupTrack,
        TimelineClip timelineClip) : base(groupTrack, timelineClip)
    {
        
    }
#endif
    public override TimeLineEventLogicBasic CreateLogic()
    {
        return new TimeLineEndSingLogic();
    }
}